Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin
Interface JspToolPages

All Known Implementing Classes:
  PortalJspBase

public interface JspToolPages
extends JspPages

Prescribes constants used for navigational purposes within the Portal Administration tools.

Field Summary
`static java.lang.String` | `JSP_TOOLS_ADD_PORTLETS` The location of the "Add/Remove Portlets" JSP page.
`static java.lang.String` | `JSP_TOOLS_ADMIN_LOGIN` The location of the "Admin Login" JSP page.
`static java.lang.String` | `JSP_TOOLS_DIRECTORY` The location of the base tools directory.
`static java.lang.String` | `JSP_TOOLS_ERROR` The location of the generically-used admin error page.
`static java.lang.String` | `JSP_TOOLS_ERROR_FOOTER` The location of the admin footer page.
`static java.lang.String` | `JSP_TOOLS_ERROR_HEADER` The location of the header JSP page for error reporting.
`static java.lang.String` | `JSP_TOOLS_GROUP_ADD_PORTLETS` The location of the "Add/Remove Portlets" JSP page used in portal group context.
`static java.lang.String` | `JSP_TOOLS_GROUP_COLORS` The location of the "Color Preferences" JSP page used in portal group context.
`static java.lang.String` | `JSP_TOOLS_GROUP_HOME` The location of the "Portal Group Administration Home" JSP page.
`static java.lang.String` | `JSP_TOOLS_GROUP_LAYOUT` The location of the "Portal Layout" JSP page used in portal group context.
`static java.lang.String` | `JSP_TOOLS_GROUP_NEW` The location of the "Add/Remove Groups" JSP page.
`static java.lang.String` | `JSP_TOOLS_GROUP_PERSONALIZE` The location of the "Portlet Personalization" JSP page used in portal group context.
`static java.lang.String` | `JSP_TOOLS_GROUP_USERS` The location of the "Add/Remove Users" JSP page used in portal context.
`static java.lang.String` | `JSP_TOOLS_GROUP_VIEW` The location of the read-only "Group View" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_COLORS` The location of the "Color Preferences" JSP page used in portal context.
`static java.lang.String` | `JSP_TOOLS_PORTAL_DEV_GUIDE` The location of the "Portal Developer's Guide" reference page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_DEV_GUIDE_FEATURES` The window features of the "Portal Developer's Guide" reference page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_GROUPS` The location of the "Add/Remove Gruops" JSP page used in portal context.
`static java.lang.String` | `JSP_TOOLS_PORTAL_HELP` The location of the "Portal Administration Help" page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_HELP_FEATURES` The window features of the "Portal Administration Help" page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_HOME` The location of the "Portal Administration Home" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_LAYOUT` The location of the "Portal Layout" JSP page used in portal context.
`static java.lang.String` | `JSP_TOOLS_PORTAL_NEW` The location of the "Create Portal" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_PERSONALIZE` The location of the "Portlet Personalization" JSP page used in portal context.
`static java.lang.String` | `JSP_TOOLS_PORTAL_REMOVE` The location of the "Remove Portal" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_UPDATE` The location of the "Update Portal" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTAL_USERS` The location of the "Add/Remove Users" JSP page used in portal group context.
`static java.lang.String` | `JSP_TOOLS_PORTAL_VIEW` The location of the read-only "Portal View" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTLET_NEW` The location of the "Create Portlet" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTLET_REMOVE` The location of the "Remove Portlets" JSP page.
`static java.lang.String` | `JSP_TOOLS_PORTLET_UPDATE` The location of the "Update Portlet" JSP page.

Fields inherited from interface com.beasys.portal.admin.JspPages
`JSP_ALTERNATE_FOOTER, JSP_ALTERNATE_HEADER, JSP_BASE_DIRECTORY, JSP_BASE_HEADER, JSP_COLOR_PREFS, JSP_FOOTER, JSP_FULL_SCREEN_PORTLET, JSP_GEN_PREFS, JSP_HEADER, JSP_PORTAL, JSP_PORTAL_CONTENT, JSP_PORTAL_FRAMEWORK_DIRECTORY, JSP_PORTLET, JSP_TITLE_BAR, JSP_USER_ADD_PORTLETS, JSP_USER_HELP_FEATURES, JSP_USER_LAYOUT, JSP_USER_LOGIN, JSP_USER_REG, JSP_USER_REG_SUMMARY`

Field Detail

### JSP_TOOLS_DIRECTORY

    public static final java.lang.String JSP_TOOLS_DIRECTORY

  The location of the base tools directory.

### JSP_TOOLS_ADD_PORTLETS

    public static final java.lang.String JSP_TOOLS_ADD_PORTLETS

  The location of the "Add/Remove Portlets" JSP page.

### JSP_TOOLS_ADMIN_LOGIN

    public static final java.lang.String JSP_TOOLS_ADMIN_LOGIN

  The location of the "Admin Login" JSP page.

### JSP_TOOLS_ERROR

    public static final java.lang.String JSP_TOOLS_ERROR

  The location of the generically-used admin error page.

### JSP_TOOLS_ERROR_FOOTER

    public static final java.lang.String JSP_TOOLS_ERROR_FOOTER

  The location of the admin footer page.

### JSP_TOOLS_ERROR_HEADER

    public static final java.lang.String JSP_TOOLS_ERROR_HEADER

  The location of the header JSP page for error reporting. Used in conjunction with the error page.

### JSP_TOOLS_GROUP_ADD_PORTLETS

    public static final java.lang.String JSP_TOOLS_GROUP_ADD_PORTLETS

  The location of the "Add/Remove Portlets" JSP page used in portal group context.

### JSP_TOOLS_GROUP_COLORS

    public static final java.lang.String JSP_TOOLS_GROUP_COLORS

  The location of the "Color Preferences" JSP page used in portal group context.

### JSP_TOOLS_GROUP_LAYOUT

    public static final java.lang.String JSP_TOOLS_GROUP_LAYOUT

  The location of the "Portal Layout" JSP page used in portal group context.

### JSP_TOOLS_GROUP_NEW

    public static final java.lang.String JSP_TOOLS_GROUP_NEW

  The location of the "Add/Remove Groups" JSP page.

### JSP_TOOLS_GROUP_PERSONALIZE

    public static final java.lang.String JSP_TOOLS_GROUP_PERSONALIZE

  The location of the "Portlet Personalization" JSP page used in portal group context.

### JSP_TOOLS_PORTAL_COLORS

    public static final java.lang.String JSP_TOOLS_PORTAL_COLORS

  The location of the "Color Preferences" JSP page used in portal context.

### JSP_TOOLS_PORTAL_GROUPS

    public static final java.lang.String JSP_TOOLS_PORTAL_GROUPS

  The location of the "Add/Remove Gruops" JSP page used in portal context.

### JSP_TOOLS_PORTAL_LAYOUT

    public static final java.lang.String JSP_TOOLS_PORTAL_LAYOUT

  The location of the "Portal Layout" JSP page used in portal context.

### JSP_TOOLS_PORTAL_NEW

    public static final java.lang.String JSP_TOOLS_PORTAL_NEW

  The location of the "Create Portal" JSP page.

### JSP_TOOLS_PORTAL_PERSONALIZE

    public static final java.lang.String JSP_TOOLS_PORTAL_PERSONALIZE

  The location of the "Portlet Personalization" JSP page used in portal context.

### JSP_TOOLS_PORTAL_REMOVE

    public static final java.lang.String JSP_TOOLS_PORTAL_REMOVE

  The location of the "Remove Portal" JSP page.

### JSP_TOOLS_PORTAL_UPDATE

    public static final java.lang.String JSP_TOOLS_PORTAL_UPDATE

  The location of the "Update Portal" JSP page.

### JSP_TOOLS_PORTLET_NEW

    public static final java.lang.String JSP_TOOLS_PORTLET_NEW

  The location of the "Create Portlet" JSP page.

### JSP_TOOLS_PORTLET_REMOVE

    public static final java.lang.String JSP_TOOLS_PORTLET_REMOVE

  The location of the "Remove Portlets" JSP page.

### JSP_TOOLS_PORTLET_UPDATE

    public static final java.lang.String JSP_TOOLS_PORTLET_UPDATE

  The location of the "Update Portlet" JSP page.

### JSP_TOOLS_PORTAL_DEV_GUIDE

    public static final java.lang.String JSP_TOOLS_PORTAL_DEV_GUIDE

  The location of the "Portal Developer's Guide" reference page.

### JSP_TOOLS_PORTAL_DEV_GUIDE_FEATURES

    public static final java.lang.String JSP_TOOLS_PORTAL_DEV_GUIDE_FEATURES

  The window features of the "Portal Developer's Guide" reference page.

### JSP_TOOLS_PORTAL_HELP

    public static final java.lang.String JSP_TOOLS_PORTAL_HELP

  The location of the "Portal Administration Help" page.

### JSP_TOOLS_PORTAL_HELP_FEATURES

    public static final java.lang.String JSP_TOOLS_PORTAL_HELP_FEATURES

  The window features of the "Portal Administration Help" page.

### JSP_TOOLS_PORTAL_HOME

    public static final java.lang.String JSP_TOOLS_PORTAL_HOME

  The location of the "Portal Administration Home" JSP page.

### JSP_TOOLS_GROUP_HOME

    public static final java.lang.String JSP_TOOLS_GROUP_HOME

  The location of the "Portal Group Administration Home" JSP page.

### JSP_TOOLS_PORTAL_VIEW

    public static final java.lang.String JSP_TOOLS_PORTAL_VIEW

  The location of the read-only "Portal View" JSP page.

### JSP_TOOLS_GROUP_VIEW

    public static final java.lang.String JSP_TOOLS_GROUP_VIEW

  The location of the read-only "Group View" JSP page.

### JSP_TOOLS_GROUP_USERS

    public static final java.lang.String JSP_TOOLS_GROUP_USERS

  The location of the "Add/Remove Users" JSP page used in portal context.

### JSP_TOOLS_PORTAL_USERS

    public static final java.lang.String JSP_TOOLS_PORTAL_USERS

  The location of the "Add/Remove Users" JSP page used in portal group context.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved